Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Oct 2019 19:25:27 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 16 Oct 2019 16:20:46 +0200
> Cc: Andrey Orst <[email-masked]>, Ergus <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So you are saying that you don't like the new appearance?  The Subject
> > says "broke visuals", which sounds like a much more serious problem.
> 
> It's not a question of aesthetics, but of usability.  For example, the
> third party magit gets harder to use if the faces aren't adapted to
> use the new extend property.

Can you tell the details about "harder"?  (I don't use Magit.)

> I don't know if there is any benefit to the new behaviour.  Is it just
> stylistic?

It was extensively discussed on the emacs-devel list prior to
implementation, and the motivation was given there.  I recommend
reading those discussions.